org.eclnt.jsfserver.elements

## Class BasePopupComponent

- java.lang.Object
- - UIComponentBase
  - - org.eclnt.jsfserver.elements.BaseComponent
    - - org.eclnt.jsfserver.elements.BaseActionComponent
      - - org.eclnt.jsfserver.elements.BasePopupComponent

- All Implemented Interfaces:
    java.io.Serializable, IPageIncluder, CLogConstants

      public class BasePopupComponent
      extends BaseActionComponent
      implements IPageIncluder

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclnt.jsfserver.elements.BaseComponent

      `BaseComponent.DecodePassData, BaseComponent.IEventQueue`

  - ### Field Summary

    - ### Fields inherited from class org.eclnt.jsfserver.elements.BaseActionComponent

      `m_actionListeners, m_immediate`

    - ### Fields inherited from class org.eclnt.jsfserver.elements.BaseComponent

      `m_attributesIsDynamicInfo, m_attributesIsManagedViaAdapterBinding, m_attributesReferenceInfo, m_attributesSetViaStyle, m_attributesTakeOverInfo, m_currentDump, m_explicitlyNulledAttributes, m_lastDumpRequestSequenceId, m_previousDump, m_styleValues, m_tagAttributes`

    - ### Fields inherited from interface org.eclnt.util.log.CLogConstants

      `LL_DBG, LL_ERR, LL_INF, LL_WAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasePopupComponent()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkIfRowIsExpected()`
    `void` | `decode(FacesContext context)`
    `void` | `encodeBegin(FacesContext context)`
    `void` | `encodeChildren(FacesContext context)`
    `void` | `encodeEnd(FacesContext context)`
    `void` | `processUpdates(FacesContext context)`
    `void` | `restoreState(FacesContext context, java.lang.Object state)`
    `java.lang.Object` | `saveState(FacesContext context)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.BaseActionComponent

      `addActionListener, broadcast, clearActionListeners, createBaseActionEvent, decode, getAction, getActionListener, getActionListeners, getActionListenersAsList, getFirstActionListener, isImmediate, removeActionListener, setAction, setActionListener, setImmediate, triggerActionEvent`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.BaseComponent

      `addExplicitlyNulledAttribute, addValueBindingExec, addValueExpressionExec, appendDecodeInformation, applyChangedStyleVariant, buildAttributesIsDynamicInfo, checkIfAttributeIsExplicitlyNulled, checkIfAttributesIsManagedByExpression, checkIfComponentHasAdapterBinding, checkIfComponentIdIsPartOfRequest, checkIfComponentTagIsAvailable, checkIfEncodeCalledFirstTime, checkIfStyleVariantIsDynamic, checkIfStyleVariantWasUpdated, checkIfToTakeOverAttribute, convertValueDuringDecode, convertValueDuringGetAttribute, createNewIdCounter, createSubId, createSubId, destroy, detectChangesInSubComponents, ensureSessionIsValid, executeQueueingOfBufferedEvents, findContentReplaceListDuringRendering, findCurrentDump, getAdapterBindingAterEncodeBegin, getApplicationReference, getAttributeFromAdapterBinding, getAttributeFromAdapterBinding, getAttributesGet, getAttributesGet, getAttributesSetViaStyle, getAttributeString, getAttributeValueAsString, getChild, getClientTagName, getComponentAdapterBinding, getComponentClass, getExpressionFromComponentAttribute, getFamily, getInnerEventRequestId, getOriginalAttributeString, getParameterNameForDecode, getPreferredDataType, getRendersChildren, getSavedState, getTagAttributes, isDestroyed, isRendered, m_componentRepository, passPropertyUsage, passStyleValues, processDecodes, processValidators, queueEvent, queueEventExecute, reactOnSetPropertiesByTagFinished, readAttributeValueDuringEncodeFromAttributesOrFromAdapterBinding, readCurrentComponentDump, readDefaultUpdateAttribute, readPreviousComponentDump, readTagAttributes, readTagAttributesSet, registerInnerEvent, renderComponentNoChange, resetInternalAttributeBuffer, resetPreviousDump, resolveComponentValueAsString, retrieveValueFromComponent, setApplicationReference, setAttributeValueFromOutside, setComponentBinding, setCurrentComponentDump, setExpressionAsComponentAttributeFromOutside, setParent, setRendered, setRendersChildren, updateAttributeValue, updateComponentBinding`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasePopupComponent

          public BasePopupComponent()

  - ### Method Detail

    - #### saveState

          public java.lang.Object saveState(FacesContext context)

      Overrides:
        `saveState` in class `BaseActionComponent`

    - #### restoreState

          public void restoreState(FacesContext context,
                                   java.lang.Object state)

      Overrides:
        `restoreState` in class `BaseActionComponent`

    - #### checkIfRowIsExpected

          public boolean checkIfRowIsExpected()

      Specified by:
        `checkIfRowIsExpected` in interface `IPageIncluder`

    - #### encodeBegin

          public void encodeBegin(FacesContext context)
                           throws java.io.IOException

      Overrides:
        `encodeBegin` in class `BaseComponent`
      Throws:
        `java.io.IOException`

    - #### encodeEnd

          public void encodeEnd(FacesContext context)
                         throws java.io.IOException

      Overrides:
        `encodeEnd` in class `BaseComponent`
      Throws:
        `java.io.IOException`

    - #### encodeChildren

          public void encodeChildren(FacesContext context)
                              throws java.io.IOException

      Overrides:
        `encodeChildren` in class `BaseComponent`
      Throws:
        `java.io.IOException`

    - #### decode

          public void decode(FacesContext context)

      Overrides:
        `decode` in class `BaseActionComponent`

    - #### processUpdates

          public void processUpdates(FacesContext context)

      Overrides:
        `processUpdates` in class `BaseComponent`

Copyright © CaptainCasa Gmbh. All Rights Reserved.